Name:		smooth-blend
Version:	1.2
Release:	1%{_my_ext}
Summary:	A KDE window decoration.
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://p0z3r.is-a-geek.org
Source0:	%{name}-%{version}.tar.bz2
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}

Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-root

%description
A smooth blending of the window background color into the titlebar.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=/etc
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT

find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO INSTALL ChangeLog


%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Mon Jun 20 2005 Scott Grayban <sgrayban@borgnet.us> 1.2-1bng
 - New Version
 - Changed spec build requirements to match Mandriva 10.2 libs

* Thu Mar 31 2005 Scott Grayban <sgrayban@borgnet.us> 1.1-1bng
 - Repaints are cut in half.
 - A 2x increase in performance.

* Sun Mar 16 2005 Scott Grayban <sgrayban@borgnet.us> 1.0-1bng
 - Released version
